> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-pipelines.md).

# Settings Pipelines

## List Pipelines

> Lists pipelines. Pipelines are the top-level CRM deal pipelines (e.g. Sales, Production), each made up of one or more stages (see \`settings/stages\`).

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Pipeline":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the pipeline."},"name":{"type":"string","description":"The name of the pipeline."}},"required":["id","name"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/pipelines":{"get":{"summary":"List Pipelines","description":"Lists pipelines. Pipelines are the top-level CRM deal pipelines (e.g. Sales, Production), each made up of one or more stages (see `settings/stages`).","operationId":"listPipelines","tags":["Settings - Pipelines"],"responses":{"200":{"description":"List of pipelines","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/Pipeline"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Retrieve Pipeline

> Retrieves a single pipeline by ID. Pipelines are the top-level CRM deal pipelines (e.g. Sales, Production), each made up of one or more stages (see \`settings/stages\`).

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Pipeline":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the pipeline."},"name":{"type":"string","description":"The name of the pipeline."}},"required":["id","name"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/pipelines/{id}":{"get":{"summary":"Retrieve Pipeline","description":"Retrieves a single pipeline by ID. Pipelines are the top-level CRM deal pipelines (e.g. Sales, Production), each made up of one or more stages (see `settings/stages`).","operationId":"getPipeline","tags":["Settings - Pipelines"],"parameters":[{"name":"id","in":"path","description":"ID of the Pipeline","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the pipeline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pipeline"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.paintscout.com/developers/settings-pipelines.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
